<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="panier">
      <h2 data-cy="panierDetailsHeading"><span jhiTranslate="blogApp.panier.detail.title">Panier</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="blogApp.panier.id">Id</span></dt>
        <dd>
          <span>{{ panier.id }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.panier.date">Date</span></dt>
        <dd>
          <span>{{ panier.date | formatMediumDate }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.panier.valeur">Valeur</span></dt>
        <dd>
          <span>{{ panier.valeur }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.panier.state">State</span></dt>
        <dd>
          <span jhiTranslate="{{ 'blogApp.Etat.' + panier.state }}">{{ panier.state }}</span>
        </dd>
        <dt><span jhiTranslate="blogApp.panier.produit">Produit</span></dt>
        <dd>
          <span *ngFor="let produit of panier.produits; let last = last">
            <a [routerLink]="['/produit', produit.id, 'view']">{{ produit.id }}</a
            >{{ last ? '' : ', ' }}
          </span>
        </dd>
        <dt><span jhiTranslate="blogApp.panier.utilisateur">Utilisateur</span></dt>
        <dd>
          <div *ngIf="panier.utilisateur">
            <a [routerLink]="['/utilisateur', panier.utilisateur.id, 'view']">{{ panier.utilisateur.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Retour</span>
      </button>

      <button type="button" [routerLink]="['/panier', panier.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editer</span>
      </button>
    </div>
  </div>
</div>
